--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: Merb::Generators::NamedGenerator
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: base_name
- !ruby/object:RI::MethodSummary 
  name: class_name
- !ruby/object:RI::MethodSummary 
  name: file_name
- !ruby/object:RI::MethodSummary 
  name: module_name
- !ruby/object:RI::MethodSummary 
  name: symbol_name
- !ruby/object:RI::MethodSummary 
  name: test_class_name
name: NamedGenerator
superclass: Generator
